Pivotal Knowledge Base


How to Run VSD on 64-bit Linux Machine


Visual Statistics Display (VSD)
64-bit Linux


VSD gives the following error on your console and fails to start when trying to run on a 64-bit Linux system:

vsd: /path/to/vFabric_GemFire_70xx_bxxxxx/tools/vsd/bin/vsdwishLinux: /lib/ld-linux.so.2: bad ELF interpreter: No such file or directory vsd: line 3:
/path/to/vFabric_GemFire_70xx_bxxxxx/tools/vsd/bin/vsdwishLinux: Success
vsdwishLinux: error while loading shared libraries: libX11.so.6: cannot open shared object file: No such file or directory


VSD is a 32-bit X11 application. So, you will need to install the related (32-bit) libraries to run on 64-bit Linux.


 If you are Red Hat Enterprise Linux user, you can use yum to install required libraries using the following method:

# yum install ld-linux.so.2
# yum install libX11.so.6

After installing these libraries, VSD should run normally.


Powered by Zendesk